=== modified file '.bzrignore'
--- .bzrignore	2008-10-03 09:32:30 +0000
+++ .bzrignore	2010-09-30 06:24:20 +0000
@@ -2,8 +2,6 @@
 *.8
 *.8mandos
 confdir
-debian/po/messages.mo
-debian/po/templates.pot
 keydir
 man
 plugin-runner
@@ -12,3 +10,4 @@
 plugins.d/password-prompt
 plugins.d/splashy
 plugins.d/usplash
+plugins.d/plymouth

=== modified file 'Makefile'
--- Makefile	2010-09-23 20:14:08 +0000
+++ Makefile	2010-10-11 17:45:21 +0000
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.14
+version=1.2.3
 SED=sed
 
 ## Use these settings for a traditional /usr/local install

=== modified file 'NEWS'
--- NEWS	2010-09-09 18:16:14 +0000
+++ NEWS	2010-10-11 17:45:21 +0000
@@ -1,6 +1,46 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
+Version 1.2.3 (2010-10-11)
+* Server:
+** Bug fix: Expose D-Bus API also in non-debug mode.
+
+Version 1.2.2 (2010-10-07)
+* Client:
+** splashy: Minor fix to compile with non-Linux kernels.
+
+Version 1.2.1 (2010-10-02)
+* Server:
+** mandos-monitor(8): Documentation bug fix: Key for removing client
+   is "R", not "r".
+
+Version 1.2 (2010-09-28)
+* Client:
+** New "plymouth" plugin to ask for a password using the Plymouth
+   graphical boot system.
+** The Mandos client now automatically chooses a network interface if
+   the DEVICE setting in /etc/initramfs-tools/initramfs.conf is set to
+   the empty string.  This is also the new default instead of "eth0".
+** The Mandos client --connect option now loops indefinitely until a
+   password is received from the specified server.
+** Bug fix: Quote directory correctly in mandos-keygen with --password
+** Bug fix: don't use "echo -e" in mandos-keygen; unsupported by dash.
+* Server:
+** Terminology change: clients are now "ENABLED" or "DISABLED", not
+   "valid" or "invalid".
+** New D-Bus API; see the file "DBUS-API".
+** New control utilities using the new D-Bus API:
+   + mandos-ctl		       A command-line based utility
+   + mandos-monitor	       A text-based GUI interface
+** New feature: manual interactive approval or denying of clients on a
+   case-by-case basis.
+** New --debuglevel option to control logging
+** Will not write PID file if --debug is passed
+** Bug fix: Avoid race conditions with short "interval" values or
+   fast checkers.
+** Bug fix: Don't try to bind to a network interface when none is
+   specified
+
 Version 1.0.14 (2009-10-25)
 Enable building without -pie and -fPIE if BROKEN_PIE is set.
 

=== modified file 'common.ent'
--- common.ent	2010-09-09 18:16:14 +0000
+++ common.ent	2010-10-11 17:45:21 +0000
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Edited by Makefile -->
-<!ENTITY version "1.0.14">
+<!ENTITY version "1.2.3">

=== modified file 'debian/changelog'
--- debian/changelog	2010-09-09 18:16:14 +0000
+++ debian/changelog	2010-10-11 17:45:21 +0000
@@ -1,3 +1,61 @@
+mandos (1.2.3-1) experimental; urgency=low
+
+  * New upstream release.
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Mon, 11 Oct 2010 19:37:31 +0200
+
+mandos (1.2.2-1) experimental; urgency=low
+
+  * New upstream release.
+  * plugins.d/splashy.c: Only use ELIBBAD if defined. (Closes: #599256)
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 07 Oct 2010 20:27:54 +0200
+
+mandos (1.2.1-3) experimental; urgency=low
+
+  * debian/changelog: Include entry for NMU of version 1.0.14-1.1.
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 05 Oct 2010 20:58:38 +0200
+
+mandos (1.2.1-2) unstable; urgency=low
+
+  * debian/source/format: New; contains "3.0 (quilt)".  Really.
+
+ -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:46:59 +0200
+
+mandos (1.2.1-1) unstable; urgency=low
+
+  * New upstream release.
+  * debian/source/format: New; contains "3.0 (quilt)".
+
+ -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:03:58 +0200
+
+mandos (1.2-1) unstable; urgency=low
+
+  * New upstream release.
+  * Makefile (LINK_FORTIFY_LD): Remove "-fPIE". (Closes: #557076)
+  * debian/control: Add gnupg dependency to "mandos-client" and removed it
+    from "mandos".  Added dependency on "python-urwid" "mandos" since the
+    new "mandos-monitor" utility needs it, and on "python (>=2.6) |
+    python-multiprocessing" since the Mandos server now uses it.
+  * debian/rules: Set BROKEN_PIE on mips and mipsel if a known buggy
+    version of binutils is used.
+  * debian/mandos.docs: Also install "/usr/share/doc/mandos/DBUS-API".
+  * debian/mandos.dirs: Added "etc/dbus-1/system.d".
+  * debian/mandos-client.README.Debian: Update info about DEVICE setting
+    of initramfs.conf.
+  * debian/mandos-client.README.Debian: Remove warning about --connect not
+    looping, since it now does.
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 28 Sep 2010 20:46:11 +0200
+
+mandos (1.0.14-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Rebuild against libavahi-core-dev (>= 0.6.26-1).
+
+ -- Michael Biebl <biebl@debian.org>  Mon, 12 Jul 2010 16:34:34 +0200
+
 mandos (1.0.14-1) unstable; urgency=low (HIGH on mips and mipsel)
 
   * New upstream release.

=== modified file 'debian/control'
--- debian/control	2010-09-26 18:32:58 +0000
+++ debian/control	2010-10-01 18:40:55 +0000
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files
 Homepage: http://www.fukt.bsnet.se/mandos

=== modified file 'debian/mandos-client.lintian-overrides'
--- debian/mandos-client.lintian-overrides	2009-01-18 06:41:57 +0000
+++ debian/mandos-client.lintian-overrides	2010-10-13 06:12:52 +0000
@@ -19,6 +19,7 @@
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/askpass-fifo 4755 root/root
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/splashy 4755 root/root
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/usplash 4755 root/root
+mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/plymouth 4755 root/root
 
 # The directory /etc/mandos/plugins.d can be used by local system
 # administrators to place plugins in, overriding and complementing

=== added directory 'debian/source'
=== added file 'debian/source/format'
--- debian/source/format	1970-01-01 00:00:00 +0000
+++ debian/source/format	2010-10-02 17:41:05 +0000
@@ -0,0 +1,1 @@
+3.0 (quilt)

=== modified file 'mandos'
--- mandos	2010-09-27 17:39:03 +0000
+++ mandos	2010-10-11 17:45:21 +0000
@@ -81,7 +81,7 @@
         SO_BINDTODEVICE = None
 
 
-version = "1.0.14"
+version = "1.2.3"
 
 #logger = logging.getLogger(u'mandos')
 logger = logging.Logger(u'mandos')
@@ -1847,6 +1847,10 @@
         # No console logging
         logger.removeHandler(console)
     
+    # Need to fork before connecting to D-Bus
+    if not debug:
+        # Close all input and output, do double fork, etc.
+        daemon()
     
     global main_loop
     # From the Avahi example code
@@ -1870,11 +1874,7 @@
     if server_settings["interface"]:
         service.interface = (if_nametoindex
                              (str(server_settings[u"interface"])))
-
-    if not debug:
-        # Close all input and output, do double fork, etc.
-        daemon()
-        
+    
     global multiprocessing_manager
     multiprocessing_manager = multiprocessing.Manager()
     

=== modified file 'mandos-ctl'
--- mandos-ctl	2010-09-26 18:32:58 +0000
+++ mandos-ctl	2010-10-11 17:45:21 +0000
@@ -57,7 +57,7 @@
 server_path = '/'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.0.14"
+version = "1.2.3"
 
 def timedelta_to_milliseconds(td):
     "Convert a datetime.timedelta object to milliseconds"

=== modified file 'mandos-keygen'
--- mandos-keygen	2010-09-26 18:32:58 +0000
+++ mandos-keygen	2010-10-11 17:45:21 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.0.14"
+VERSION="1.2.3"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA
@@ -195,6 +195,8 @@
 stty echo; \
 " EXIT
 
+set -e
+
 umask 077
 
 if [ "$mode" = keygen ]; then

=== modified file 'mandos-monitor'
--- mandos-monitor	2010-09-27 16:27:13 +0000
+++ mandos-monitor	2010-10-11 17:45:21 +0000
@@ -51,7 +51,7 @@
 domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.0.15"
+version = "1.2.3"
 
 # Always run in monochrome mode
 urwid.curses_display.curses.has_colors = lambda : False

=== modified file 'mandos-monitor.xml'
--- mandos-monitor.xml	2010-09-14 18:22:03 +0000
+++ mandos-monitor.xml	2010-09-30 06:24:20 +0000
@@ -167,7 +167,7 @@
 	<entry>Deny client</entry>
       </row>
       <row>
-	<entry>r, _, Ctrl-K</entry>
+	<entry>R, _, Ctrl-K</entry>
 	<entry>Remove client</entry>
       </row>
       <row>

=== modified file 'mandos.lsm'
--- mandos.lsm	2010-09-14 18:22:03 +0000
+++ mandos.lsm	2010-10-11 17:45:21 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.0.14
-Entered-date:	2010-09-14
+Version:	1.2.3
+Entered-date:	2010-10-11
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      103K mandos_1.0.14.orig.tar.gz
+	      133K mandos_1.2.3.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		103K mandos_1.0.14.orig.tar.gz
+		133K mandos_1.2.3.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.5, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2010-09-26 18:32:58 +0000
+++ plugins.d/splashy.c	2010-10-07 17:46:56 +0000
@@ -314,7 +314,9 @@
       case ENOTDIR:
       case ELOOP:
       case EISDIR:
-      case ELIBBAD:
+#ifdef ELIBBAD
+      case ELIBBAD:		/* Linux only */
+#endif
       case EPERM:
 	_exit(EX_OSFILE);
       }

